package com.ruoyi.programManagement.controller;


import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.programManagement.entity.response.DictDataResponse;
import com.ruoyi.programManagement.service.DictDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 数据字典信息
 *
 * @author ruoyi
 */
@RestController
@RequestMapping("pharmaceuticals/dictdata")
@Api(tags = "数据字典信息")
@Transactional(rollbackFor = Exception.class)
public class DictDataController extends BaseController {
    @Resource
    private DictDataService dictDataService;

    /**
     * 查询所有字典数据
     *
     * @return 所有数据
     */
    @GetMapping
    @ApiOperation("查询所有字典数据")
    public AjaxResult list(@RequestParam("list") List<String> list) {
        List<DictDataResponse> resList = dictDataService.getDicttypeList(list);
        Map<String, List<DictDataResponse>> prodMap = resList.stream().collect(Collectors.groupingBy(DictDataResponse::getDictType));
        return AjaxResult.success(prodMap);
    }


}