package com.ruoyi.programManagement.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 企业新表对象 b_enterprise_new
 *
 * @author ruoyi
 * @since 2023-12-12
 */
@Data
@ApiModel("企业新表")
public class BEnterpriseNew extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 企业id
     */
    @Excel(name = "企业id")
    @ApiModelProperty(value = "企业id")
    private String enterpriseId;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    /**
     * 行政区划
     */
    @Excel(name = "行政区划")
    @ApiModelProperty(value = "行政区划")
    private String district;

    /**
     * 行业监管大类编码
     */
    @Excel(name = "行业监管大类编码")
    @ApiModelProperty(value = "行业监管大类编码")
    private String supervisionLarge;

    /**
     * 安全风险等级
     */
    @Excel(name = "安全风险等级")
    @ApiModelProperty(value = "安全风险等级")
    private String riskLevel;

    /**
     * 标准化等级
     */
    @Excel(name = "标准化等级")
    @ApiModelProperty(value = "标准化等级")
    private String standLevel;

    /**
     * 上次检查时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "上次检查时间")
    @Excel(name = "上次检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examineEndTime;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    @ApiModelProperty(value = "创建者ID")
    private Integer createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    @ApiModelProperty(value = "更新者ID")
    private Integer updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    @ApiModelProperty(value = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    @ApiModelProperty(value = "部门权限id")
    private Long deptId;


}
