package com.ruoyi.programManagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.Date;


/**
 * 省重点企业表(BKeyEnterprise)表实体类
 *
 * @author wu
 * @since 2023-09-07 09:43:06
 */
@Data
@ApiModel("省重点企业表实体类")
public class BKeyEnterprise implements Serializable {

    private static final long serialVersionUID = 852154491977160819L;
    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业代码
     */
    @Excel(name = "企业代码")
    @ApiModelProperty(value = "企业代码")
    private String entCode;


    /**
     * 年份
     */
    @Excel(name = "年份")
    @ApiModelProperty("年份")
    private String year;

    /**
     * 创建者ID
     */
    @ApiModelProperty(value = "创建者ID")
    private Long createId;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用户权限id
     */
    @ApiModelProperty(value = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @ApiModelProperty(value = "部门权限id")
    private Long deptId;


    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称")
    private String enterpriseName;



}

