package com.ruoyi.programManagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.Date;


/**
 * 计划企业表(BPlanEnterprise)表实体类
 *
 * @author wu
 * @since 2023-09-07 09:43:06
 */
@Data
@ApiModel("计划企业表实体类")
public class BPlanEnterprise implements Serializable {

    private static final long serialVersionUID = -98531345456142440L;
    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private String enterpriseId;

    /**
     * 创建者ID
     */
    @ApiModelProperty(value = "创建者ID")
    private Long createId;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String createBy;

    /**
     * 创建时间
     */
    @Excel(name = "年份", dateFormat = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用户权限id
     */
    @ApiModelProperty(value = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @ApiModelProperty(value = "部门权限id")
    private Long deptId;


    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    @Excel(name = "行政区划")
    private String district;


    /**
     * 计划年份
     */
    @ApiModelProperty(value = "计划年份")
    @Excel(name = "计划年份")
    private String plannedYear;




    /**
     * 是否重点企业1：是2：否
     */
    @ApiModelProperty(value = "是否重点企业1：是2：否")
    private Integer isPoint;

    /**
     * 企业主表名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "企业主表名称")
    private String entprName;


    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;


    /**
     * 执法排序
     */
    @ApiModelProperty(value = "执法排序")
    private Long lawSort;


    /**
     * 执法地区
     */
    @ApiModelProperty(value = "执法地区")
    private String lawAreas;


    /**
     * 执法级别
     */
    @ApiModelProperty(value = "执法级别")
    private String lawLevel;


    /**
     * 执法层级
     */
    @ApiModelProperty(value = "执法层级")
    private String lawHierarchy;


    /**
     * 计划月份
     */
    @ApiModelProperty(value = "计划月份")
    private String plannedMonth;


    /**
     * 0：草稿 1：正式
     */
    @ApiModelProperty(value = "0：草稿 1：正式")
    private Integer status ;


    /**
     * 0：未检查 1：已检查
     */
    @ApiModelProperty(value = "0：未检查 1：已检查")
    private Integer checkStatus;


    /**
     * 检查id
     */
    @ApiModelProperty(value = "检查id")
    private Integer checkId;


    /**
     * 1当月 2提前 3滞后
     */
    @ApiModelProperty(value = "1当月 2提前 3滞后")
    private Integer checkAgeing;


    /**
     * 1当月 2提前 3滞后
     */
    @ApiModelProperty(value = "1当月 2提前 3滞后")
    private Integer RISK_LEVEL;



    /**
     * 安全风险等级
     */
    @ApiModelProperty(value = "安全风险等级")
    private String riskLevel;


    /**
     * 标准化等级
     */
    @ApiModelProperty(value = "标准化等级")
    private String standLevel;



    /**
     * 上次检查时间
     */
    @ApiModelProperty(value = "上次检查时间")
    private Date examineEndTime;




}

