package com.ruoyi.programManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.programManagement.entity.BEnterpriseNew;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;



/**
 * 企业新表Mapper接口
 *
 * @author ruoyi
 * @since 2023-12-12
 */
@Mapper
public interface BEnterpriseNewMapper extends BaseMapper<BEnterpriseNew> {
    /**
     * 查询企业新表
     *
     * @param id 企业新表主键
     * @return 企业新表
     */
    public BEnterpriseNew selectBEnterpriseNewById(Long id);

    /**
     * 查询企业新表列表
     *
     * @param bEnterpriseNew 企业新表
     * @return 企业新表集合
     */
    List<BEnterpriseNew> selectBEnterpriseNewList(BEnterpriseNew bEnterpriseNew);

    /**
     * 新增企业新表
     *
     * @param bEnterpriseNew 企业新表
     * @return 结果
     */
    int insertBEnterpriseNew(BEnterpriseNew bEnterpriseNew);

    /**
     * 修改企业新表
     *
     * @param bEnterpriseNew 企业新表
     * @return 结果
     */
    int updateBEnterpriseNew(BEnterpriseNew bEnterpriseNew);

    /**
     * 删除企业新表
     *
     * @param id 企业新表主键
     * @return 结果
     */
    int deleteBEnterpriseNewById(Long id);

    /**
     * 批量删除企业新表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBEnterpriseNewByIds(Long[] ids);


    @Select("SELECT COUNT(*) FROM b_enterprise_new ${ew.customSqlSegment}")
    Long selectCount(@Param(Constants.WRAPPER) Wrapper<BEnterpriseNew> wrapper);



}
