package com.ruoyi.programManagement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.programManagement.entity.SzEntBasicInfo;
import com.ruoyi.programManagement.entity.request.SzEntBasicInfoPageRequest;
import com.ruoyi.programManagement.entity.response.SzEntBasicInfoPageResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业基本信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-09
 */
public interface SzEntBasicInfoMapper extends BaseMapper<SzEntBasicInfo> {
    /**
     * 查询企业基本信息
     *
     * @param ID 企业基本信息主键
     * @return 企业基本信息
     */
    public SzEntBasicInfo selectSzEntBasicInfoByID(String ID);

    /**
     * 查询企业基本信息列表
     *
     * @param szEntBasicInfo 企业基本信息
     * @return 企业基本信息集合
     */
    public List<SzEntBasicInfo> selectSzEntBasicInfoList(SzEntBasicInfo szEntBasicInfo);

    /**
     * 新增企业基本信息
     *
     * @param szEntBasicInfo 企业基本信息
     * @return 结果
     */
    public int insertSzEntBasicInfo(SzEntBasicInfo szEntBasicInfo);

    /**
     * 修改企业基本信息
     *
     * @param szEntBasicInfo 企业基本信息
     * @return 结果
     */
    public int updateSzEntBasicInfo(SzEntBasicInfo szEntBasicInfo);

    /**
     * 删除企业基本信息
     *
     * @param ID 企业基本信息主键
     * @return 结果
     */
    public int deleteSzEntBasicInfoByID(String ID);

    /**
     * 批量删除企业基本信息
     *
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzEntBasicInfoByIDs(String[] IDs);

    /**
     * 分页查询企业基本信息列表
     *
     * @Parm req 请求类
     */
    List<SzEntBasicInfo> page(@Param("req") SzEntBasicInfoPageRequest req);



    /**
     * 根据entcode获取行政区划代码
     * @param entCode 企业信用代码
     * @return
     */
    String getDistrict(@Param("entCode") String entCode);

}
