package com.ruoyi.programManagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.programManagement.entity.BPlanEnterprise;
import com.ruoyi.programManagement.entity.request.*;
import com.ruoyi.programManagement.entity.response.BPlanEnterPriseTreeResponse;
import com.ruoyi.programManagement.entity.response.BPlanEnterpriseZhifaResponse;
import com.ruoyi.programManagement.entity.response.zhifaPlanResponse;

import java.util.List;
import java.util.Map;

/**
 * 计划企业表(BPlanEnterprise)表服务接口
 *
 * @author wu
 * @since 2023-09-07 09:43:06
 */
public interface BPlanEnterpriseService extends IService<BPlanEnterprise> {



    /**
     * 查询计划企业列表
     *
     * @param bPlanEnterprise 计划企业
     * @return 计划企业集合
     */
    public List<BPlanEnterprise> selectBPlanEnterpriseList(BPlanEnterprise bPlanEnterprise);
    /**
     * 根据planId删除计划企业
     *
     * @param planId 计划id
     */
    void deleteByPlanId(Long planId);


    /**
     * 执法结果-企业详情
     *
     * @param req 请求类
     * @return
     */
      List<BPlanEnterpriseZhifaResponse>getZhifa (checkResultRequest req);


    /**
     * 查询所有数据
     *
     * @return
     */
    List<BPlanEnterprise> page(BPlanEnterprisePageRequest req);


    /**
     * 执法计划工作情况统计
     *
     * @return
     */
    Map<String, Object> getzhifacount(zhifaRequest req);


    /**
     * 各区域执法计划
     *
     * @return
     */
    List<zhifaPlanResponse> getplan();


    /**
     * 查看计划明细
     *
     * @return
     * @Parm req 请求类
     */
    Map<String, Object> getPlanMx(PlanMxRequest req);


    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    BPlanEnterprise selectById(String id);


    /**
     * 查询首页数据
     * @param req
     * @return
     */
    List<BPlanEnterPriseTreeResponse> getShouyeList(BPlanEnterprisePageRequest req);


    /**
     * 批量更新状态
     * @param idList
     */
    void updateIdList(String[] idList);

}

