package com.ruoyi.programManagement.service;

import com.ruoyi.programManagement.domain.BAdministrativeDivision;
import com.ruoyi.programManagement.entity.request.BAdministrativeDistrictRequest;
import com.ruoyi.programManagement.entity.request.BAdministrativeTreeRequest;

import java.util.List;

/**
 * 行政区划Service接口
 *
 * @author ruoyi
 * @since 2023-12-12
 */
public interface IBAdministrativeDivisionService {
    /**
     * 查询行政区划
     *
     * @param id 行政区划主键
     * @return 行政区划
     */
    public BAdministrativeDivision selectBAdministrativeDivisionById(Long id);

    /**
     * 查询行政区划列表
     *
     * @param bAdministrativeDivision 行政区划
     * @return 行政区划集合
     */
    List<BAdministrativeDivision> selectBAdministrativeDivisionList(BAdministrativeDivision bAdministrativeDivision);

    /**
     * 新增行政区划
     *
     * @param bAdministrativeDivision 行政区划
     * @return 结果
     */
    int insertBAdministrativeDivision(BAdministrativeDivision bAdministrativeDivision);

    /**
     * 修改行政区划
     *
     * @param bAdministrativeDivision 行政区划
     * @return 结果
     */
    int updateBAdministrativeDivision(BAdministrativeDivision bAdministrativeDivision);

    /**
     * 批量删除行政区划
     *
     * @param ids 需要删除的行政区划主键集合
     * @return 结果
     */
    int deleteBAdministrativeDivisionByIds(Long[] ids);

    /**
     * 删除行政区划信息
     *
     * @param id 行政区划主键
     * @return 结果
     */
    int deleteBAdministrativeDivisionById(Long id);

    /**
     * 行政区划乡镇树结构
     *
     * @return list
     */
    List<BAdministrativeTreeRequest> selectByDistctList();


    /**
     * 行政区划区划树结构
     *
     * @return list
     */
    List<BAdministrativeDistrictRequest> selectBycountyList();








}
