package com.ruoyi.programManagement.service;

import com.ruoyi.programManagement.entity.SzsEnterpriseInformation;

import java.util.List;


/**
 * 省-企业基本信息Service接口
 * 
 * @author ruoyi
 * @date 2023-10-17
 */
public interface ISzsEnterpriseInformationService 
{
    /**
     * 查询省-企业基本信息
     * 
     * @param ID 省-企业基本信息主键
     * @return 省-企业基本信息
     */
    public SzsEnterpriseInformation selectSzsEnterpriseInformationByID(String ID);

    /**
     * 查询省-企业基本信息列表
     * 
     * @param szsEnterpriseInformation 省-企业基本信息
     * @return 省-企业基本信息集合
     */
    public List<SzsEnterpriseInformation> selectSzsEnterpriseInformationList(SzsEnterpriseInformation szsEnterpriseInformation);

    /**
     * 新增省-企业基本信息
     * 
     * @param szsEnterpriseInformation 省-企业基本信息
     * @return 结果
     */
    public int insertSzsEnterpriseInformation(SzsEnterpriseInformation szsEnterpriseInformation);

    /**
     * 修改省-企业基本信息
     * 
     * @param szsEnterpriseInformation 省-企业基本信息
     * @return 结果
     */
    public int updateSzsEnterpriseInformation(SzsEnterpriseInformation szsEnterpriseInformation);

    /**
     * 批量删除省-企业基本信息
     * 
     * @param IDs 需要删除的省-企业基本信息主键集合
     * @return 结果
     */
    public int deleteSzsEnterpriseInformationByIDs(String[] IDs);

    /**
     * 删除省-企业基本信息信息
     * 
     * @param ID 省-企业基本信息主键
     * @return 结果
     */
    public int deleteSzsEnterpriseInformationByID(String ID);


}
