package com.ruoyi.programManagement.service.impl;


import com.ruoyi.programManagement.entity.BAdministrative;
import com.ruoyi.programManagement.entity.response.BPlanEnterPriseTreeResponse;
import com.ruoyi.programManagement.entity.request.BPlanEnterprisePageRequest;
import com.ruoyi.programManagement.mapper.BAdministrativeMapper;
import com.ruoyi.programManagement.service.IBAdministrativeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 行政区划Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-11
 */
@Service
public class BAdministrativeServiceImpl implements IBAdministrativeService {
    @Autowired
    private BAdministrativeMapper bAdministrativeMapper;

    /**
     * 查询行政区划
     *
     * @param id 行政区划主键
     * @return 行政区划
     */
    @Override
    public BAdministrative selectBAdministrativeById(Long id) {
        return bAdministrativeMapper.selectBAdministrativeById(id);
    }

    /**
     * 查询行政区划列表
     *
     * @param bAdministrative 行政区划
     * @return 行政区划
     */
    @Override
    public List<BAdministrative> selectBAdministrativeList(BAdministrative bAdministrative) {
        return bAdministrativeMapper.selectBAdministrativeList(bAdministrative);
    }

    /**
     * 新增行政区划
     *
     * @param bAdministrative 行政区划
     * @return 结果
     */
    @Override
    public int insertBAdministrative(BAdministrative bAdministrative) {
        return bAdministrativeMapper.insertBAdministrative(bAdministrative);
    }

    /**
     * 修改行政区划
     *
     * @param bAdministrative 行政区划
     * @return 结果
     */
    @Override
    public int updateBAdministrative(BAdministrative bAdministrative) {
        return bAdministrativeMapper.updateBAdministrative(bAdministrative);
    }

    /**
     * 批量删除行政区划
     *
     * @param ids 需要删除的行政区划主键
     * @return 结果
     */
    @Override
    public int deleteBAdministrativeByIds(Long[] ids) {
        return bAdministrativeMapper.deleteBAdministrativeByIds(ids);
    }

    /**
     * 删除行政区划信息
     *
     * @param id 行政区划主键
     * @return 结果
     */
    @Override
    public int deleteBAdministrativeById(Long id) {
        return bAdministrativeMapper.deleteBAdministrativeById(id);
    }



    @Override
    public List<BPlanEnterPriseTreeResponse> selectBPlanEnterPriseTreeRequestRequestList(BPlanEnterprisePageRequest req) {
        return bAdministrativeMapper.selectBPlanEnterPriseTreeRequestRequestList(req);
    }



    @Override
    public String getBydistinct(String district) {
        return bAdministrativeMapper.getBydistinct(district);
    }


}
