package com.ruoyi.programManagement.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.programManagement.entity.BEnterpriseNew;
import com.ruoyi.programManagement.mapper.BEnterpriseNewMapper;
import com.ruoyi.programManagement.service.IBEnterpriseNewService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 企业新表Service业务层处理
 *
 * @author ruoyi
 * @since 2023-12-12
 */
@Service
public class BEnterpriseNewServiceImpl implements IBEnterpriseNewService {
    @Resource
    private BEnterpriseNewMapper bEnterpriseNewMapper;

    /**
     * 查询企业新表
     *
     * @param id 企业新表主键
     * @return 企业新表
     */
    @Override
    public BEnterpriseNew selectBEnterpriseNewById(Long id) {
        return bEnterpriseNewMapper.selectBEnterpriseNewById(id);
    }

    /**
     * 查询企业新表列表
     *
     * @param bEnterpriseNew 企业新表
     * @return 企业新表
     */
    @Override
    public List<BEnterpriseNew> selectBEnterpriseNewList(BEnterpriseNew bEnterpriseNew) {
        return bEnterpriseNewMapper.selectBEnterpriseNewList(bEnterpriseNew);
    }

    /**
     * 新增企业新表
     *
     * @param bEnterpriseNew 企业新表
     * @return 结果
     */
    @Override
    public int insertBEnterpriseNew(BEnterpriseNew bEnterpriseNew) {
        bEnterpriseNew.setCreateTime(DateUtils.getNowDate());
        return bEnterpriseNewMapper.insertBEnterpriseNew(bEnterpriseNew);
    }

    /**
     * 修改企业新表
     *
     * @param bEnterpriseNew 企业新表
     * @return 结果
     */
    @Override
    public int updateBEnterpriseNew(BEnterpriseNew bEnterpriseNew) {
        bEnterpriseNew.setUpdateTime(DateUtils.getNowDate());
        return bEnterpriseNewMapper.updateBEnterpriseNew(bEnterpriseNew);
    }

    /**
     * 批量删除企业新表
     *
     * @param ids 需要删除的企业新表主键
     * @return 结果
     */
    @Override
    public int deleteBEnterpriseNewByIds(Long[] ids) {
        return bEnterpriseNewMapper.deleteBEnterpriseNewByIds(ids);
    }

    /**
     * 删除企业新表信息
     *
     * @param id 企业新表主键
     * @return 结果
     */
    @Override
    public int deleteBEnterpriseNewById(Long id) {
        return bEnterpriseNewMapper.deleteBEnterpriseNewById(id);
    }
}
