package com.ruoyi.programManagement.service.impl;

import java.util.List;

import com.ruoyi.programManagement.entity.BStandardization;
import org.springframework.stereotype.Service;
import com.ruoyi.programManagement.mapper.BStandardizationMapper;

import com.ruoyi.programManagement.service.IBStandardizationService;
import javax.annotation.Resource;

/**
 * 标准化Service业务层处理
 *
 * @author ruoyi
 * @since 2023-12-18
 */
@Service
public class BStandardizationServiceImpl implements IBStandardizationService {
    @Resource
    private BStandardizationMapper bStandardizationMapper;

    /**
     * 查询标准化
     *
     * @param id 标准化主键
     * @return 标准化
     */
    @Override
    public BStandardization selectBStandardizationById(Long id) {
        return bStandardizationMapper.selectBStandardizationById(id);
    }

    /**
     * 查询标准化列表
     *
     * @param bStandardization 标准化
     * @return 标准化
     */
    @Override
    public List<BStandardization> selectBStandardizationList(BStandardization bStandardization) {
        return bStandardizationMapper.selectBStandardizationList(bStandardization);
    }

    /**
     * 新增标准化
     *
     * @param bStandardization 标准化
     * @return 结果
     */
    @Override
    public int insertBStandardization(BStandardization bStandardization) {
            return bStandardizationMapper.insertBStandardization(bStandardization);
    }

    /**
     * 修改标准化
     *
     * @param bStandardization 标准化
     * @return 结果
     */
    @Override
    public int updateBStandardization(BStandardization bStandardization) {
        return bStandardizationMapper.updateBStandardization(bStandardization);
    }

    /**
     * 批量删除标准化
     *
     * @param ids 需要删除的标准化主键
     * @return 结果
     */
    @Override
    public int deleteBStandardizationByIds(Long[] ids) {
        return bStandardizationMapper.deleteBStandardizationByIds(ids);
    }

    /**
     * 删除标准化信息
     *
     * @param id 标准化主键
     * @return 结果
     */
    @Override
    public int deleteBStandardizationById(Long id) {
        return bStandardizationMapper.deleteBStandardizationById(id);
    }
}
