package com.ruoyi.programManagement.service.impl;

import java.util.List;

import com.ruoyi.programManagement.entity.SzsAdministrativeDivision;
import com.ruoyi.programManagement.entity.request.BAdministrativeTreeRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.programManagement.mapper.SzsAdministrativeDivisionMapper;

import com.ruoyi.programManagement.service.ISzsAdministrativeDivisionService;

/**
 * 省-工业企业风险评估上报系统_行政区划字典Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-17
 */
@Service
public class SzsAdministrativeDivisionServiceImpl implements ISzsAdministrativeDivisionService 
{
    @Autowired
    private SzsAdministrativeDivisionMapper szsAdministrativeDivisionMapper;

    /**
     * 查询省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param ID 省-工业企业风险评估上报系统_行政区划字典主键
     * @return 省-工业企业风险评估上报系统_行政区划字典
     */
    @Override
    public SzsAdministrativeDivision selectSzsAdministrativeDivisionByID(String ID)
    {
        return szsAdministrativeDivisionMapper.selectSzsAdministrativeDivisionByID(ID);
    }

    /**
     * 查询省-工业企业风险评估上报系统_行政区划字典列表
     * 
     * @param szsAdministrativeDivision 省-工业企业风险评估上报系统_行政区划字典
     * @return 省-工业企业风险评估上报系统_行政区划字典
     */
    @Override
    public List<SzsAdministrativeDivision> selectSzsAdministrativeDivisionList(SzsAdministrativeDivision szsAdministrativeDivision)
    {
        return szsAdministrativeDivisionMapper.selectSzsAdministrativeDivisionList(szsAdministrativeDivision);
    }

    /**
     * 新增省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param szsAdministrativeDivision 省-工业企业风险评估上报系统_行政区划字典
     * @return 结果
     */
    @Override
    public int insertSzsAdministrativeDivision(SzsAdministrativeDivision szsAdministrativeDivision)
    {
        return szsAdministrativeDivisionMapper.insertSzsAdministrativeDivision(szsAdministrativeDivision);
    }

    /**
     * 修改省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param szsAdministrativeDivision 省-工业企业风险评估上报系统_行政区划字典
     * @return 结果
     */
    @Override
    public int updateSzsAdministrativeDivision(SzsAdministrativeDivision szsAdministrativeDivision)
    {
        return szsAdministrativeDivisionMapper.updateSzsAdministrativeDivision(szsAdministrativeDivision);
    }

    /**
     * 批量删除省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param IDs 需要删除的省-工业企业风险评估上报系统_行政区划字典主键
     * @return 结果
     */
    @Override
    public int deleteSzsAdministrativeDivisionByIDs(String[] IDs)
    {
        return szsAdministrativeDivisionMapper.deleteSzsAdministrativeDivisionByIDs(IDs);
    }

    /**
     * 删除省-工业企业风险评估上报系统_行政区划字典信息
     * 
     * @param ID 省-工业企业风险评估上报系统_行政区划字典主键
     * @return 结果
     */
    @Override
    public int deleteSzsAdministrativeDivisionByID(String ID)
    {
        return szsAdministrativeDivisionMapper.deleteSzsAdministrativeDivisionByID(ID);
    }

    @Override
    public List<BAdministrativeTreeRequest> selectBAdministrativeTreeRequestList() {
        return szsAdministrativeDivisionMapper.selectBAdministrativeTreeRequestList();
    }

    @Override
    public List<BAdministrativeTreeRequest> selectcascadingSelectDataList() {
        return szsAdministrativeDivisionMapper.selectcascadingSelectDataList();
    }
}
